#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <assert.h>
#include "zoo.h"
#include "animal.h"

void infos_zoo(zoo_t* z){
	assert(z != NULL);
	printf("%d animaux:\n", z->n_animaux);
	for (int i = 0; i < z->n_animaux; ++i){
		infos_animal(z->animaux[i]);
	}
}

void free_zoo(zoo_t* z){
	assert(z != NULL);
	free(z->animaux);
	free(z);
}

int compter_espece(zoo_t* z, char* e){
	assert(z != NULL);
	int compteur = 0; // nb d'animaux vus
	for (int i = 0; i < z->n_animaux; ++i){
		if (strcmp(z->animaux[i]->espece, e) == 0){
			compteur++;
		}
	}
	return compteur;
}
