/* Zoos
Structure pour les informations de base des zoos */

#ifndef ZOO_H
#define ZOO_H

#include "animal.h"

typedef struct zoo{
	int n_animaux;
	animal_t** animaux; // tableau de pointeurs d'animaux
} zoo_t;


/* Affiche le nombre d'animaux du zoo z puis liste chaque animal */ 
void infos_zoo(zoo_t* z);

/* Libère la mémoire réservée pour un zoo */
void free_zoo(zoo_t* z);

/* Renvoie le nombre d'animaux de z correspondant à l'espece e */
int compter_espece(zoo_t* z, char* e);

#endif